.signup{
	/*background-color: yellow;*/
	/*padding: 0 5rem;*/
	padding-left: 5rem;
	font-family: var(--text);
}

.signup form{
	/*width: 50%;*/
	min-height: 300px;
	background-color: white;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-evenly;
	border-radius: 1rem;
	padding: 1rem;
     box-shadow: 0 2px 4px rgb(0 0 0 / 10%), 0 8px 16px rgb(0 0 0 / 10%);
     font-size: 1rem;
}

.signup form .form-div{
	width: 100%;
	margin: 10px 0;
	/*background-color: teal;*/
}

.form-div.name,
.form-div.select{
	/*display: inline-flex;*/
	flex-direction: row;
}

.form-div.name div,
.form-div.select div{
	width: 50%;

}

.form-div.select div + div,
.form-div.name div + div{
	margin-left: 15px;
}

.form-div.select div.gender{
	display: flex;
	flex-direction: row;
	align-items: center;
	border: 1px solid var(--spanish-gray);
	border-radius: 5px;
}

.form-div.select div.gender > *{
	margin: 0 3px;
}

.form-div.select div.gender label:nth-child(4){
	margin-left: 1rem;
}

.form-div.switch{
	display: flex;
	align-items: flex-end;
}

.signup div.switch p{
	color: var(--cerise);
	cursor: pointer;
}

.signup div.switch p:hover{
	text-decoration: underline;
}

/*.form-div.name div + div{
	margin-left: 10px;
}*/

.form-div input{
	
}

.form-div.name div,
.form-div.email,
.form-div.password,
.form-div.confirm{
	position: relative;
}

.form-div.name div label,
.form-div.email label,
.form-div.password label,
.form-div.confirm label{
	position: absolute;
	left: 1rem;
	color: var(--spanish-gray);
	pointer-events: none;
	padding: 0 5px;
	transition: all 0.1s;
}

.signup form input{
	background-color: transparent;
	padding: 5px;
	border-radius: 5px;
	border: 1.2px solid var(--spanish-gray);
	outline: none;
	padding: 10px;
	letter-spacing: 0.5px;
	font-size: 1rem;
}

.signup form input:focus{
	border-color: var(--cerise);
}

.signup form input:focus + label{
	top: -0.5rem;
	background-color: white;
	font-size: 0.8rem;
}

.form-input:not(:placeholder-shown).form-input:not(:focus) + label{
	top: -0.5rem;
	background-color: white;
	font-size: 0.8rem;
}

input[type="date"] {
     -webkit-align-items: center;
     display: -webkit-inline-flex;
     font-family: monospace;
     overflow: hidden;
     padding: 0;
     -webkit-padding-start: 1px;
}

.signup form div.gender input:focus + label{
	font-size: 1rem;
}



.danger{
	/*border-color: #d9534f;*/
	/*box-shadow: 0 6px 2px -2px #d9534f;*/
	box-shadow: -5px 0 0 0 #d9534f;

}

.success{
	/*border-color: #5cb85c !important;*/
	/*box-shadow: 0 0px 5px 0px #5cb85c;*/
	box-shadow: -5px 0 0 0 #5cb85c;
}

.success-right{
	/*border-color: #5cb85c !important;*/
	/*box-shadow: 0 0px 5px 0px #5cb85c;*/
	box-shadow: 5px 0 0 0 #5cb85c;
}

div.password i,
div.confirm i{
	position: absolute;
	right: 1rem;
	cursor: pointer;
}

.signup .form-div button{
	/*background-color: #42b72a;*/
	background-color: var(--cerise);
	width: 50%;
	margin: 0 auto;
	font-family: var(--footer);
	font-size: 1.2rem;
	border: none;
	padding: 1rem;
	border-radius: 5px;
	cursor: pointer;
	color: white;
	filter: brightness(0.5);
	transition: filter 0.3s ease;
}

.validCreate{
	filter: brightness(1) !important;
	transition: filter 0.3s ease;
}

